/* jd.h, header for sources using julian day routines
 * from the Explanatory Supplement and other sources
  */


/* in noargs.c: */ 
double noargs(); 
double jdnow();

/* calendar conversions, in gregcal.c: */
long	GregorianCalendarToJD();
long	JulianCalendarToJD(); 
long    CalendarToJD(); 

void	JDtoGregorianCalendar();
void	JDtoJulianCalendar();
void	JDtoCalendar(); 

void	  xJDtoGregorianCalendar();
void	  xJDtoJulianCalendar();
void	  xJDtoCalendar();

long jdnoon(); 
void setCalendarTransition(); 
void setGregorian(); 




/* in weekday.c: */ 
char   * weekday(); 
char   *xWeekday(); 
int     weekdayNumber(); 

/* in jdstring.c: */ 
char   *xJDtoGregorianString();
char   *xJDtoJulianString();
char   *xJDtoString();

char   *xGregorianCalendarDate();
char   *xJulianCalendarDate();
char   *xCalendarDate();



/* kalendar routines: */ 
void easter(); 
void gregorianEaster();
void julianEaster();
int  goldenNumber(); 

char *septuagesima();
char *sexagesima();
char *quinquagesima();
char *ashwednesday(); 
char *ascension();
char *pentecost(); 
char *trinity();
char *fromEaster();
long jdFromEaster();
int  weektrin(); 
long jdXmas();
long jdAdvent1();
char *advent1string();
char *kweek(); 
void kdates();
void yeartable(); 
int  kyear(); 

/* in jdstring.c: */
char   *xJDtoGregorianString();
char   *xJDtoJulianString();
char   *xJDtoString(); 

char   *xGregorianCalendarDate(); 
char   *xJulianCalendarDate(); 
char   *xCalendarDate(); 
char    *CalendarDate(); 




